/*
 * Copyright 1991 - 1995, Julianne Frances Haugh
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of Julianne F. Haugh nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY JULIE HAUGH AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL JULIE HAUGH OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * Revision History
 *	11/25/91	3.1.1	patchlevel 14
 *		Added "login.defs" to Makefile
 *	12/02/91	3.1.2	patchlevel 15
 *		Bugs found by users
 *	12/28/91	3.1.3	patchlevel 16
 *		Changes for SunOS 4.1.1
 *	02/08/92	3.1.4	patchlevel 17
 *		Changes for SVR4, plus bug fixes
 *	04/03/92	3.2.1	patchlevel 18
 *		Minor bug fixes, new baseline
 *	07/07/92	3.2.2	patchlevel 20
 *		Added administrator defined authentication
 *	11/04/92	3.2.3	patchlevel 21
 *		Bug fixes for SVR4
 *	07/23/93	3.3.0	patchlevel 23
 *		New baseline release
 *	08/23/93	3.3.1	patchlevel 24
 *		Bug fixes for SunOS 4.1.1
 *	08/27/93	3.3.2	patchlevel 25
 *		Initial NIS support changes
 *	12/03/95	3.3.3	patchlevel 26
 *		This is the Linux beta baseline.  Marek will
 *		change the name some other day. -- jfh
 *	$Id: patchlevel.h,v 1.2 2001/12/17 05:12:20 steve Exp $
 */

#define	RELEASE		3
#define	PATCHLEVEL	26
#define	VERSION		"3.3.3"
