/*
 * Herein lies all the functions/variables that are "exported" for linkage
 * with dynamically loaded kernel modules.
 */

#include <linux/config.h>
#include <linux/module.h>
#include <asm/byteorder.h>
#include <linux/string.h>
#include <linux/md5.h>
#include <linux/sha1.h>
#include <linux/des_locl.h>
#include <linux/if_crypto.h>

/* Cryptolib.c */
EXPORT_SYMBOL(crypto_execute);
EXPORT_SYMBOL(crypto_alloc_request);
EXPORT_SYMBOL(crypto_register_engine);
EXPORT_SYMBOL(crypto_unregister_engine);
EXPORT_SYMBOL(crypto_query);
EXPORT_SYMBOL(crypto_open_engine);
EXPORT_SYMBOL(crypto_close_engine);

/* MD5 */
EXPORT_SYMBOL(MD5Init);
EXPORT_SYMBOL(MD5Update);
EXPORT_SYMBOL(MD5Final);

/* SHA1 */
EXPORT_SYMBOL(SHA1Init);
EXPORT_SYMBOL(SHA1Update);
EXPORT_SYMBOL(SHA1Final);

/* DES */
EXPORT_SYMBOL(des_set_key);
EXPORT_SYMBOL(des_ede3_cbc_encrypt);
