/*
 * -- Intel Copyright Notice --
 * INTEL CONFIDENTIAL
 *
 * Copyright 2002 Intel Corporation All Rights Reserved.
 *
 * The source code contained or described herein and all documents
 * related to the source code ("Material") are owned by Intel Corporation
 * or its suppliers or licensors.  Title to the Material remains with
 * Intel Corporation or its suppliers and licensors.  The Material
 * contains trade secrets and proprietary and confidential information of
 * Intel or its suppliers and licensors.  The Material is protected by
 * worldwide copyright and trade secret laws and treaty provisions. No
 * part of the Material may be used, copied, reproduced, modified,
 * published, uploaded, posted, transmitted, distributed, or disclosed in
 * any way without Intel's prior express written permission.
 *
 * No license under any patent, copyright, trade secret or other
 * intellectual property right is granted to or conferred upon you by
 * disclosure or delivery of the Materials, either expressly, by
 * implication, inducement, estoppel or otherwise.  Any license under
 * such intellectual property rights must be express and approved by
 * Intel in writing.
 *
 * For further details, please see the file README.TXT distributed with
 * this software.
 * -- End Intel Copyright Notice --
*/
/* 
 * FileName:    ixAdslCO.c
 * Author: Intel Corporation
 * Created:     3-Apr-2002
 * Description: 
 *    Source file for Alcatel CO Line Open Interface
 *
 * Copyright 2000, Intel Corp.  All rights reserved. No part 
 * of this document may be reproduced, transmitted, transcribed, stored in 
 * a retrieval system, or compiled into computer source code, in any form 
 * or by any means, without the prior written consent of Intel Corp.
 *
 */

#include <IxAdsl.h>

#include "ixCtrle_c.h"

extern unsigned char ASW_init_3_8_124_adsl_init[];
extern unsigned int ASW_init_3_8_124_adsl_init_len;

extern unsigned char ASW_C3_8_121_adsl_load[];
extern unsigned int ASW_C3_8_121_adsl_load_len;


unsigned int 
IxADSL_CO_Open(unsigned int lineNum, t_ADSL_LINE_TYPE lineType)
{
    IxADSLSoftReset( ) ;  /* workaround for Adsl module softreset- CSR 921 */

    return IxADSL_LineOpen( lineNum,
			    IX_ADSL_CO,
			    ASW_init_3_8_124_adsl_init,
			    ASW_init_3_8_124_adsl_init_len,
			    ASW_C3_8_121_adsl_load,
			    ASW_C3_8_121_adsl_load_len, 
			    lineType );
}






