#ifdef __linux

#include <linux/config.h>
#include <linux/kernel.h>
#include <linux/module.h>
#include <linux/init.h>
#include <linux/sched.h>
#include <asm/semaphore.h>

#include "IxTypes.h"
#include "IxCryptoAccCodelet.h"

EXPORT_SYMBOL(test_main);

int demo;
MODULE_PARM(demo, "i");

static int __init CryptoInitModule(void)
{
	printk("Load CryptoAcc Codelet\n");
	test_main();
	return 0;
}

static void __exit CryptoExitModule(void)
{
	printk("Unload CryptoAcc Codelet\n");
}

module_init(CryptoInitModule);
module_exit(CryptoExitModule);


#endif
