# -- Intel Copyright Notice --
# INTEL CONFIDENTIAL
#
# Copyright 2002 Intel Corporation All Rights Reserved.
#
# The source code contained or described herein and all documents
# related to the source code ("Material") are owned by Intel Corporation
# or its suppliers or licensors.  Title to the Material remains with
# Intel Corporation or its suppliers and licensors.  The Material
# contains trade secrets and proprietary and confidential information of
# Intel or its suppliers and licensors.  The Material is protected by
# worldwide copyright and trade secret laws and treaty provisions. No
# part of the Material may be used, copied, reproduced, modified,
# published, uploaded, posted, transmitted, distributed, or disclosed in
# any way without Intel's prior express written permission.
#
# No license under any patent, copyright, trade secret or other
# intellectual property right is granted to or conferred upon you by
# disclosure or delivery of the Materials, either expressly, by
# implication, inducement, estoppel or otherwise.  Any license under
# such intellectual property rights must be express and approved by
# Intel in writing.
#
# For further details, please see the file README.TXT distributed with
# this software.
# -- End Intel Copyright Notice --
codelets_usb_OBJ := IxUSBRNDISEnumerator.o IxUSBRNDISLayer.o
codelets_usb_CFLAGS := -I./src/codelets/usb/include -I./src/usb/include
codelets_usb_test_DEPS := usb osServices

ifeq ($(TOOLENV), arm)
codelets_usb_CFLAGS += -mlong-calls
endif

ifeq ($(IX_TARGET_OS),linux)
codelets_usb_OBJ += IxUSBRNDISLinuxEnd.o
else
codelets_usb_OBJ += IxUSBRNDISEnd.o
endif

