#ifndef _IPT_ROUTEMARK_H_target
#define _IPT_ROUTEMARK_H_target

#include <linux/netfilter_ipv4/ip_conntrack.h>

enum {
        IPT_ROUTEMARK_SESSION,
        IPT_ROUTEMARK_TRAFFIC,
	IPT_ROUTEMARK_PACKET,
	IPT_ROUTEMARK_AUTO
};

/* 2004/5/12 Steve ++ */
#define	IPT_ROUTEMARK_SET_WAN	1
#define	IPT_ROUTEMARK_SET_MARK	2
#define	IPT_ROUTEMARK_SET_VPN	4
/* Steve -- */

struct ipt_routemark_element_info {
	char name[IFNAMSIZ];
	unsigned long id;
	unsigned long mark;
	unsigned long weight;
	int status;
	unsigned long prio;
/* 2004/7/7 Steve ++ */
	unsigned long upstream;
	unsigned long downstream;
/* Steve -- */
/* 2005/2/14 Steve ++ */
	char vpnname[64];
/* Steve -- */
};

struct ipt_routemark_target_info {
/* 2004/5/12 Steve ++ */
	u_int32_t how;
	unsigned int mark;
/* Steve -- */
        u_int8_t mode;
	u_int8_t target_num;
	struct ipt_routemark_element_info element[MAX_WAN_PORT];
};

#endif /*_IPT_MARK_H_target*/
