#include <linux/kernel.h>
#include "../ipsec_alg.h"
extern int ipsec_1des_init(void);
extern int ipsec_3des_init(void);
extern int ipsec_aes_init(void);
extern int ipsec_blowfish_init(void);
extern int ipsec_cast_init(void);
extern int ipsec_md5_init(void);
extern int ipsec_null_init(void);
extern int ipsec_serpent_init(void);
extern int ipsec_sha1_init(void);
extern int ipsec_sha2_init(void);
extern int ipsec_twofish_init(void);
void ipsec_alg_static_init(void){ 
	int __attribute__ ((unused)) err=0;
	if ((err=ipsec_1des_init()) < 0)
		printk(KERN_WARNING "ipsec_1des_init() returned %d", err);
	if ((err=ipsec_3des_init()) < 0)
		printk(KERN_WARNING "ipsec_3des_init() returned %d", err);
	if ((err=ipsec_aes_init()) < 0)
		printk(KERN_WARNING "ipsec_aes_init() returned %d", err);
	if ((err=ipsec_blowfish_init()) < 0)
		printk(KERN_WARNING "ipsec_blowfish_init() returned %d", err);
	if ((err=ipsec_cast_init()) < 0)
		printk(KERN_WARNING "ipsec_cast_init() returned %d", err);
	if ((err=ipsec_md5_init()) < 0)
		printk(KERN_WARNING "ipsec_md5_init() returned %d", err);
	if ((err=ipsec_null_init()) < 0)
		printk(KERN_WARNING "ipsec_null_init() returned %d", err);
	if ((err=ipsec_serpent_init()) < 0)
		printk(KERN_WARNING "ipsec_serpent_init() returned %d", err);
	if ((err=ipsec_sha1_init()) < 0)
		printk(KERN_WARNING "ipsec_sha1_init() returned %d", err);
	if ((err=ipsec_sha2_init()) < 0)
		printk(KERN_WARNING "ipsec_sha2_init() returned %d", err);
	if ((err=ipsec_twofish_init()) < 0)
		printk(KERN_WARNING "ipsec_twofish_init() returned %d", err);
}
