#include "mklang.h"

static char path_icons[256], path_html[256];
static int creat_flag = 0;

static void
copy_logo_icons(void)
{
	FILE *fp;
	char mode[20], vendor[20], version[20], buf[1024];

	fp = fopen("/etc/product.info", "r");
	if (!fp) {
		sprintf(mode, "AS300");
	} else {
		fgets(buf, sizeof(buf), fp);
		fclose(fp);
		sscanf(buf, "%s %s %s",
			vendor,
			mode,
			version);
	}

#if 0
	sprintf(buf, "cp -f /usr/local/apache/eng_icons/logo_%s.gif /usr/local/apache/eng_icons/logo.gif",
		mode);
	system(buf);
	sprintf(buf, "cp -f /usr/local/apache/ch_icons/logo_%s.gif /usr/local/apache/ch_icons/logo.gif",
		mode);
	system(buf);
	sprintf(buf, "cp -f /usr/local/apache/sch_icons/logo_%s.gif /usr/local/apache/sch_icons/logo.gif",
		mode);
	system(buf);

	sprintf(buf, "cp -f /usr/local/apache/eng_icons/nustop_%s.gif /usr/local/apache/eng_icons/nustop.gif",
		mode);
	system(buf);
	sprintf(buf, "cp -f /usr/local/apache/ch_icons/nustop_%s.gif /usr/local/apache/ch_icons/nustop.gif",
		mode);
	system(buf);
	sprintf(buf, "cp -f /usr/local/apache/sch_icons/nustop_%s.gif /usr/local/apache/sch_icons/nustop.gif",
		mode);
	system(buf);
#endif
}

void
link_html_icons(char *mutil_lang)
{
	rmdir(PATH_SYMLINK_ICONS);
	sprintf(path_icons, "%s_icons",
		mutil_lang
	);
	symlink(path_icons, PATH_SYMLINK_ICONS);
}

int
fw_main(void)
{
	FILE *fp;
	char mutil_lang[20] = "eng";
	char mode[8];
	struct stat langstat;

	copy_logo_icons();	

	memset(mode, '\0', 8);
	if (access(LANGUAGE_CONF, R_OK) < 0) {
		creat_flag = 1;
		strcpy(mode, "w+");
	} else {
		if (stat(LANGUAGE_CONF, &langstat) < 0 ||
		    langstat.st_size == 0) {
			creat_flag = 1;
			strcpy(mode, "w+");
		} else
		strcpy(mode, "r+");
	}

	fp = fopen(LANGUAGE_CONF, mode);
	if (!fp)
		goto error;

	if (!creat_flag) {
		fgets(mutil_lang, 20, fp);
		mutil_lang[strlen(mutil_lang) - 1] = '\0';
	} else
		fprintf(fp, "%s\n", mutil_lang);

	fclose(fp);

	link_html_icons(mutil_lang);

error :
	sync();
	return 0;
}
