%define ver 3.4.3
%define rel 1

Summary: Uncompressor library for .rar v.3.x format archive files.
Name: libunrar3
Version: %ver
Release: %rel
Copyright: Freeware
Group: Development/Libraries
Source: unrarsrc-%{ver}.tar.gz
Patch:  unrar-3.4.3_fix.patch
URL: ftp://ftp.rarlab.com/rar
Packager: Mokrushin I.V. aka McMCC <mcmcc@mail.ru>
BuildRoot: %{_tmppath}/%{name}-root

%description
It's a uncompressor library for .rar v.3.x format archive files.
  
%prep
%setup -q -n unrar
%patch -p1

%build
make -f makefile.unix lib

%install
install -s -D -m 755 libunrar3.so %{buildroot}/usr/lib/libunrar3.so
install -D -m 644 dll.hpp %{buildroot}/usr/include/libunrar3/dll.hpp

%clean
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc readme.txt license.txt
/usr/lib/libunrar3.so
/usr/include/libunrar3/dll.hpp

