#line 1 "regexec.c"
#ifdef PERL_EXT_RE_BUILD
#  ifndef PERL_IN_XSUB_RE
#    define PERL_IN_XSUB_RE
#  endif
#  if defined(PERL_EXT_RE_DEBUG) && !defined(DEBUGGING)
#    define DEBUGGING
#  endif
#endif
#ifdef PERL_IN_XSUB_RE
#  define Perl_regexec_flags my_regexec
#  define Perl_regdump my_regdump
#  define Perl_regprop my_regprop
#  define Perl_re_intuit_start my_re_intuit_start
#  define Perl_pregexec my_pregexec
#  define Perl_reginitcolors my_reginitcolors
#  define Perl_regclass_swash my_regclass_swash
#  define PERL_NO_GET_CONTEXT
#endif
#include "EXTERN.h"
#define PERL_IN_REGEXEC_C
#include "perl.h"
#include "regcomp.h"
#define RF_tainted	1		
#define RF_warned	2		
#define RF_evaled	4		
#define RF_utf8		8		
#define RF_false	16		
#define UTF ((PL_reg_flags & RF_utf8) != 0)
#define RS_init		1		
#define RS_set		2		
#ifndef STATIC
#define	STATIC	static
#endif
#define REGINCLASS(p,c)  (ANYOF_FLAGS(p) ? reginclass(p,c,0,0) : ANYOF_BITMAP_TEST(p,*(c)))
#define CHR_SVLEN(sv) (do_utf8 ? sv_len_utf8(sv) : SvCUR(sv))
#define CHR_DIST(a,b) (PL_reg_match_utf8 ? utf8_distance(a,b) : a - b)
#define reghop_c(pos,off) ((char*)reghop((U8*)pos, off))
#define reghopmaybe_c(pos,off) ((char*)reghopmaybe((U8*)pos, off))
#define HOP(pos,off) (PL_reg_match_utf8 ? reghop((U8*)pos, off) : (U8*)(pos + off))
#define HOPMAYBE(pos,off) (PL_reg_match_utf8 ? reghopmaybe((U8*)pos, off) : (U8*)(pos + off))
#define HOPc(pos,off) ((char*)HOP(pos,off))
#define HOPMAYBEc(pos,off) ((char*)HOPMAYBE(pos,off))
#define HOPBACK(pos, off) (		
#define HOPBACKc(pos, off) (char*)HOPBACK(pos, off)
#define reghop3_c(pos,off,lim) ((char*)reghop3((U8*)pos, off, (U8*)lim))
#define reghopmaybe3_c(pos,off,lim) ((char*)reghopmaybe3((U8*)pos, off, (U8*)lim))
#define HOP3(pos,off,lim) (PL_reg_match_utf8 ? reghop3((U8*)pos, off, (U8*)lim) : (U8*)(pos + off))
#define HOPMAYBE3(pos,off,lim) (PL_reg_match_utf8 ? reghopmaybe3((U8*)pos, off, (U8*)lim) : (U8*)(pos + off))
#define HOP3c(pos,off,lim) ((char*)HOP3(pos,off,lim))
#define HOPMAYBE3c(pos,off,lim) ((char*)HOPMAYBE3(pos,off,lim))
#define LOAD_UTF8_CHARCLASS(a,b) STMT_START { if (!CAT2(PL_utf8_,a)) { ENTER; save_re_context(); (void)CAT2(is_utf8_, a)((U8*)b); LEAVE; } } STMT_END
#define JUMPABLE(rn) ( 
#define HAS_TEXT(rn) ( 
#define FIND_NEXT_IMPT(rn) STMT_START { 
#define REGCP_PAREN_ELEMS 4
#define REGCP_OTHER_ELEMS 6
#define REGCP_FRAME_ELEMS 2
#  define REGCP_SET(cp)  DEBUG_r(PerlIO_printf(Perl_debug_log,		
#  define REGCP_UNWIND(cp)  DEBUG_r(cp != PL_savestack_ix ?		
#if 1
#endif
#define regcpblow(cp) LEAVE_SCOPE(cp)	
#define TRYPAREN(paren, n, input) {				
#ifdef DEBUGGING
#endif
#ifdef DEBUGGING
#endif
#ifdef DEBUGGING	
#endif
#ifdef DEBUGGING
#endif
#ifdef DEBUGGING
#endif
#ifdef DEBUGGING
#endif
#ifdef DEBUGGING
#endif
#ifdef DEBUGGING
#endif
#ifdef DEBUGGING
#endif
#ifdef USE_ITHREADS
#endif      
#if 1
#endif
#define RE_UNWIND_BRANCH	1
#define RE_UNWIND_BRANCHJ	2
#ifdef DEBUGGING
#endif
#define sayYES goto yes
#define sayNO goto no
#define sayNO_ANYOF goto no_anyof
#define sayYES_FINAL goto yes_final
#define sayYES_LOUD  goto yes_loud
#define sayNO_FINAL  goto no_final
#define sayNO_SILENT goto do_no
#define saySAME(x) if (x) goto yes; else goto no
#define REPORT_CODE_OFF 24
#if 0
#endif
#ifdef DEBUGGING
#endif
#ifdef DEBUGGING
#endif
#ifdef DEBUGGING
#endif
#ifdef DEBUGGING
#endif
#if 0					
#endif
#ifdef DEBUGGING
#endif
#ifdef DEBUGGING
#endif
#ifdef DEBUGGING
#endif
