#ifndef _LOG_H
#define _LOG_H

#include <time.h>

#define		LOG_ITEM	"kernel: LOG: "
#define		ALARM_ITEM	"kernel: ALARM: "
#define		STATISTICS_ITEM	"kernel: STATISTICS: "
#define		TRAFFIC_INFO_DIR	"/var/log/traffic"
#define		LOG_MSG_FILE	"/var/log/traffic.log"
#define		ALARM_MSG_FILE	"/var/log/trafficalarm.log"
#define		ALARM_MSG_FMT	"%lu%lx%lu"
#define		ALARM_INFO_FMT	"%lu %f %f %d"

struct alarmInfo {
	time_t lasttime;
	float len;
	float limit;
	int flag;
};

struct alarmLog {
	unsigned long chain;
	unsigned long datalen;
	time_t curtime;
};

extern void logMsg(char *logtime, char *msg);
extern void alarmMsg(char *msg);
#endif
