# -- Intel Copyright Notice --
# 
# Copyright 2002-2003 Intel Corporation All Rights Reserved.
# 
# The source code contained or described herein and all documents
# related to the source code ("Material") are owned by Intel Corporation
# or its suppliers or licensors.  Title to the Material remains with
# Intel Corporation or its suppliers and licensors.
# 
# The Material is protected by worldwide copyright and trade secret laws
# and treaty provisions. No part of the Material may be used, copied,
# reproduced, modified, published, uploaded, posted, transmitted,
# distributed, or disclosed in any way except in accordance with the
# applicable license agreement .
# 
# No license under any patent, copyright, trade secret or other
# intellectual property right is granted to or conferred upon you by
# disclosure or delivery of the Materials, either expressly, by
# implication, inducement, estoppel, except in accordance with the
# applicable license agreement.
# 
# Unless otherwise agreed by Intel in writing, you may not remove or
# alter this notice or any other notice embedded in Materials by Intel
# or Intel's suppliers or licensors in any way.
# 
# For further details, please see the file README.TXT distributed with
# this software.
# 
# -- End Intel Copyright Notice --
codelets_atm_test_DEPS :=  \
	adsl \
	atmm \
	atmsch \
	atmdAcc \
	npeMh \
	npeDl \
	qmgr \
	osServices \
	ossl \
        featureCtrl

codelets_atm_OBJ :=  \
	IxAtmCodelet.o \
	IxAtmCodeletRxTx.o \
	IxAtmCodeletSwLoopback.o \
	IxAtmCodeletMain.o \
	IxAtmUtilsAtm.o \
	IxAtmUtilsBufMan.o \
	IxAtmUtilsUtopia.o \
	IxOamCodelet.o

codelets_atm_CFLAGS := \
	-Isrc/include \
	-Isrc/codelets/atm \

# Uncomment in order to use the Validation Platform 
# codelets_atm_CFLAGS += -DVALIDATION_PLATFORM_USED=1

ifeq ($(IX_TARGET_OS), linux)
codelets_atm_OBJ += IxAtmCodeletSymbols.o
codelets_atm_EXPORT_OBJ := IxAtmCodeletSymbols.o
endif

