#ifndef _IP_CONNTRACK_PBX_H
#define _IP_CONNTRACK_PBX_H

#ifndef __KERNEL__
#error Only in kernel.
#endif

#include <linux/in.h>
#include <linux/netfilter_ipv4/lockhelp.h>

/* Protects pbx part of conntracks */
DECLARE_LOCK_EXTERN(ip_pbx_lock);

#define PBX_PORT	2000
#define PBX_DATA_PORT	4000

/* This structure is per expected connection */
struct ip_ct_pbx_expect
{
	u_int16_t port;
};

/* This structure exists only once per master */
struct ip_ct_pbx_master
{
	enum ip_conntrack_dir dir;
};

#endif /* _IP_CONNTRACK_PBX_H */
