/* Header file for iptables ipt_ROUTE target
 *
 * (C) 2002 by Cdric de Launois <delaunois@info.ucl.ac.be>
 *
 * This software is distributed under GNU GPL v2, 1991
 */
#ifndef _IPT_ROUTE_H_target
#define _IPT_ROUTE_H_target

#include <linux/types.h>

#define IPT_ROUTE_IFNAMSIZ 16

struct ipt_route_target_info {
	unsigned int if_index;
	char if_name[IPT_ROUTE_IFNAMSIZ];
	u_int32_t ip;
};

#endif /*_IPT_ROUTE_H_target*/
