#ifndef __IPT_CONDITION_MATCH__
#define __IPT_CONDITION_MATCH__

#include <linux/netfilter_ipv4/ip_conntrack.h>

#define VARIABLE_NAME_LEN  100

struct condition_info {
  char	name[MAX_WAN_PORT][VARIABLE_NAME_LEN];
  int   invert;
};

/* 2005/2/17 Steve ++ */
#ifdef __KERNEL__
struct condition_variable {
  char         name[VARIABLE_NAME_LEN];
                           // Variable Name (NULL-terminated string)
  u_int32_t    refcount;   // Number of references to this variable
  u_int32_t    boolean;    // TRUE == 1, FALSE == 0
  spinlock_t   variable_lock;
  struct proc_dir_entry *status_proc;
  struct condition_variable *next;
};
#endif
/* Steve -- */

#endif

