#ifndef __IPT_PELEMENT_MATCH__
#define __IPT_PELEMENT_MATCH__

#define PELEMENT_NAME_LEN  20
#define INTERNAL_ADDRESS_FLAG   0x00000001
#define EXTERNAL_ADDRESS_FLAG   0x00000002
#define DMZ_ADDRESS_FLAG        0x00000004
#define SERVICE_FLAG            0x00000008
#define SCHEDULE_FLAG           0x00000010
#define QOS_FLAG                0x00000020
#define VSERVER_FLAG		0x00000040
/* 2004/1/16 Steve ++ */
#define AUTHUSER_FLAG           0x00000080
/* Steve -- */
/* 2004/12/30 Hanson ++ VPN_TRUNK */
#define VPN_FLAG                0x00000100
/* Hanson +. */

#define INTERNAL_ADDRESS_COUNT  224
#define EXTERNAL_ADDRESS_COUNT  224
#define DMZ_ADDRESS_COUNT       224
#define SERVICE_COUNT           48
#define SCHEDULE_COUNT          24
#define QOS_COUNT               60
#define VSERVER_COUNT		80
/* 2004/1/16 Steve ++ */
#define	AUTHUSER_COUNT		224
/* Steve -- */
/* 2004/12/30 Hanson ++ VPN_TRUNK */
#define VPN_COUNT               224
/* Hanson +. */

struct pElement_info {
	unsigned int flag;
	char	inaddr_name[PELEMENT_NAME_LEN];
	char	exaddr_name[PELEMENT_NAME_LEN];
	char	dmzaddr_name[PELEMENT_NAME_LEN];
	char	service_name[PELEMENT_NAME_LEN];
	char	schedule_name[PELEMENT_NAME_LEN];
	char	qos_name[PELEMENT_NAME_LEN];
	char	vserver_name[PELEMENT_NAME_LEN];
/* 2004/1/16 Steve ++ */
        char    authuser_name[PELEMENT_NAME_LEN];
/* Steve -- */
/* 2004/12/30 Hanson ++ VPN_TRUNK */
        char    vpn_name[PELEMENT_NAME_LEN];
/* Hanson +. */
};

#endif
