#ifndef _IPT_RECENT_H
#define _IPT_RECENT_H

const static int IPT_RECENT_CHECK = 1;
const static int IPT_RECENT_SET = 2;
const static int IPT_RECENT_UPDATE = 4;
const static int IPT_RECENT_REMOVE = 8;
const static int IPT_RECENT_SECONDS = 16;
/* 2005/5/4 Steve ++ */
const static int IPT_RECENT_SET_DURATION = 32;
/* Steve -- */

#define         IPT_RECENT_NAME_LEN     20

struct ipt_recent_info {
  u_int8_t    check_set;
  u_int8_t    invert;
  char        name[IPT_RECENT_NAME_LEN];
  char	      user[IPT_RECENT_NAME_LEN];
/* 2004/3/7 Steve ++ */
  u_int32_t   last_seen;
  u_int32_t   login;
/* Steve -- */
};

#endif /*_IPT_RECENT_H*/
