#ifndef _IPT_SKYPE_H
#define _IPT_SKYPE_H

#define SKYPE_SIP_LIST_SIZE	0x100
#define SKYPE_SIP_HASH_LOG	7
#define	SKYPE_SIP_HASH_SIZE	(1 << SKYPE_SIP_HASH_LOG)
#define	SKYPE_SIP_HASH_MAX	0x10

struct skypeinfo {
	struct in_addr saddr;
	struct in_addr daddr;
	u_int16_t port;
	u_int32_t match;
};

struct skyperetrylist {
	struct skyperetrylist *next;
	struct skypeinfo skypeinfo;
};

struct skyperetry {
        int index;
        struct skyperetrylist list[SKYPE_SIP_LIST_SIZE];
        struct skyperetrylist *hash[SKYPE_SIP_HASH_SIZE];
};

struct skypedropsip {
	struct skypedropsip *next;
	struct in_addr src_addr;
	u_int16_t port;
	u_int32_t match;
};

struct skypedroplist {
	struct skypedropsip list[SKYPE_SIP_LIST_SIZE];
	struct skypedropsip *hash[SKYPE_SIP_HASH_SIZE];
	int index;
};

#endif /*_IPT_SKYPE_H*/
